Subject: bug#28792: 26.0.60; Deleting to a custom trash directory in Dired gives error

From: Kaushal Modi <[email-masked]>
Date: Thu, 12 Oct 2017 12:58:57 +0000

On Thu, Oct 12, 2017 at 8:50 AM Göktuğ Kayaalp <[email-masked]> wrote:

> Quite recently I've opened and retreated the similar bug#28791, trying
> to trash directories recursively.  I did not use a custom
> trash-directory, but I got the same error.  Turns out that it was
> delete-by-moving-to-trash that provoked the error (with an indentical
> message to yours).  Emptying the ~/.local/share/Trash/ folder solved the
> issue for me.  I observed that in ~/.local/share/Trash/info/ some
> .trashinfo files were created with the name of the directory (say
> <dirname>) I was trying to delete, one <dirname>.trashinfo and many
> <dirname><random bits>.trashinfo.
>

That is still a bug in Emacs, at least because the error message is not
helpful. It is also in a non-standard format with incorrect capitalizations
in-between and doesn't even generate a backtrace by default.

Also this issue did not happen on emacs 25.x.
-- 

Kaushal Modi